package vn.azteam.tpf.service.mapper;

import vn.azteam.tpf.domain.*;
import vn.azteam.tpf.service.dto.TBProductUnitDTO;

import org.mapstruct.*;

/**
 * Mapper for the entity TBProductUnit and its DTO TBProductUnitDTO.
 */
@Mapper(componentModel = "spring", uses = {})
public interface TBProductUnitMapper extends EntityMapper<TBProductUnitDTO, TBProductUnit> {



    default TBProductUnit fromId(Long id) {
        if (id == null) {
            return null;
        }
        TBProductUnit tBProductUnit = new TBProductUnit();
        tBProductUnit.setId(id);
        return tBProductUnit;
    }
}
